## com.sun.jersey.api.client
Class TerminatingClientHandler

    java.lang.Object
      com.sun.jersey.api.client.RequestWriter
          com.sun.jersey.api.client.TerminatingClientHandler

All Implemented Interfaces:
  ClientHandler

Direct Known Subclasses:
  URLConnectionClientHandler

    public abstract class TerminatingClientHandler

extends RequestWriter
implements ClientHandler

A terminating client handler that is invoked to produce an HTTP request to send to a resource and process the HTTP response received from the resource.

This class can be extended to integrate HTTP protocol functionality with the Client API. Utility methods are provided for converting header values and writing a request entity.

Author:
  Paul.Sandoz@Sun.Com

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jersey.api.client.RequestWriter
`RequestWriter.RequestEntityWriter, RequestWriter.RequestEntityWriterListener`

Field Summary

Fields inherited from class com.sun.jersey.api.client.RequestWriter
`EMPTY_ANNOTATIONS`

Constructor Summary
`TerminatingClientHandler()`

Method Summary

Methods inherited from class com.sun.jersey.api.client.RequestWriter
`getMessageBodyWorkers, getRequestEntityWriter, setMessageBodyWorkers, writeRequestEntity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.jersey.api.client.ClientHandler
`handle`

Constructor Detail

### TerminatingClientHandler

    public TerminatingClientHandler()

Copyright © 2017 Oracle Corporation. All Rights Reserved.